<?php
/**
 * Typography.
 *
 * @package TTM Business
 */
return array(
	'title'            => esc_html__( 'Typography', 'ttm-business' ),
	'id'               => 'typography_settings',
	'customizer_width' => '400px',
	'icon'             => 'el el-fontsize',
	'fields'           => array(
		array(
			'id'             => 'body_typography',
			'type'           => 'typography',
			'title'          => esc_html__( 'Body Font', 'ttm-business' ),
			'google'         => true,
			'font-backup'    => false,
			'all_styles'     => false,
			'letter-spacing' => false,
			'text-align'     => false,
			'units'          => 'px',
			'default'        => array(
				'font-family' => 'Roboto', 
				'font-backup' => 'Arial, Helvetica, sans-serif', 
				'font-weight' => '400', 
				'google'      => true,
				'color'      => '#6f7f90',
				'font-size'   => '16px', 
				'line-height' => '26px',
			),
		),
		array(
			'id'             => 'h1_typography',
			'type'           => 'typography',
			'title'          => esc_html__( 'H1 Headers Typography', 'ttm-business' ),
			'subtitle'       => esc_html__( 'Select font family, size etc. for H1 heading tag.', 'ttm-business' ),
			'google'         => true,
			'font-backup'    => false,
			'all_styles'     => false,
			'letter-spacing' => false,
			'text-align'     => false,
			'units'          => 'px',
			'default'        => array(
				'font-family'    => 'Roboto Slab', 
				'font-backup'    => 'Arial, Helvetica, sans-serif', 
				'font-weight'    => '400', 
				'google'         => true,
				'font-size'      => '46px', 
				'line-height'    => '50px',
				'color'          => '#18304b',
				'letter-spacing' => '0px',
			),
		),
		array(
			'id'             => 'h2_typography',
			'type'           => 'typography',
			'title'          => esc_html__( 'H2 Headers Typography', 'ttm-business' ),
			'subtitle'       => esc_html__( 'Select font family, size etc. for H2 heading tag.', 'ttm-business' ),
			'google'         => true,
			'font-backup'    => false,
			'all_styles'     => false,
			'letter-spacing' => false,
			'text-align'     => false,
			'units'          => 'px',
			'default'        => array(
				'font-family'    => 'Roboto Slab', 
				'font-weight'    => '400', 
				'google'         => true,
				'font-size'      => '40px', 
				'line-height'    => '48px',
				'color'          => '#18304b',
				'letter-spacing' => '0px',
			),
		),
		array(
			'id'             => 'h3_typography',
			'type'           => 'typography',
			'title'          => esc_html__( 'H3 Headers Typography', 'ttm-business' ),
			'subtitle'       => esc_html__( 'Select font family, size etc. for H3 heading tag.', 'ttm-business' ),
			'google'         => true,
			'font-backup'    => false,
			'all_styles'     => false,
			'letter-spacing' => false,
			'text-align'     => false,
			'units'          => 'px',
			'default'        => array(
				'font-family' => 'Roboto Slab', 
				'font-weight' => '400', 
				'google'      => true,
				'color'          => '#18304b',
				'font-size'   => '36px', 
				'line-height' => '42px',
			),
		),
		array(
			'id'             => 'h4_typography',
			'type'           => 'typography',
			'title'          => esc_html__( 'H4 Headers Typography', 'ttm-business' ),
			'subtitle'       => esc_html__( 'Select font family, size etc. for H4 heading tag.', 'ttm-business' ),
			'google'         => true,
			'font-backup'    => false,
			'all_styles'     => false,
			'letter-spacing' => false,
			'text-align'     => false,
			'units'          => 'px',
			'default'        => array(
				'font-family' => 'Roboto Slab', 
				'font-weight' => '400', 
				'google'      => true,
				'color'          => '#18304b',
				'font-size'   => '30px', 
				'line-height' => '36px',
			),
		),
		array(
			'id'             => 'h5_typography',
			'type'           => 'typography',
			'title'          => esc_html__( 'H5 Headers Typography', 'ttm-business' ),
			'subtitle'       => esc_html__( 'Select font family, size etc. for H5 heading tag.', 'ttm-business' ),
			'google'         => true,
			'font-backup'    => false,
			'all_styles'     => false,
			'letter-spacing' => false,
			'text-align'     => false,
			'units'          => 'px',
			'default'        => array(
				'font-family' => 'Roboto Slab', 
				'font-weight' => '400', 
				'google'      => true,
				'color'          => '#18304b',
				'font-size'   => '26px', 
				'line-height' => '30px',
			),
		),
		array(
			'id'             => 'h6_typography',
			'type'           => 'typography',
			'title'          => esc_html__( 'H6 Headers Typography', 'ttm-business' ),
			'subtitle'       => esc_html__( 'Select font family, size etc. for H6 heading tag.', 'ttm-business' ),
			'google'         => true,
			'font-backup'    => false,
			'all_styles'     => false,
			'letter-spacing' => false,
			'text-align'     => false,
			'units'          => 'px',
			'default'        => array(
				'font-family' => 'Roboto Slab', 
				'font-weight' => '400', 
				'google'      => true,
				'color'          => '#18304b',
				'font-size'   => '22px', 
				'line-height' => '26px',
			),
		),
		array(
			'id'             => 'mainmenu_typography',
			'type'           => 'typography',
			'title'          => esc_html__( 'Menu Typography', 'ttm-business' ),
			'subtitle'       => esc_html__( 'Select font family, size etc. for Main menu heading tag.', 'ttm-business' ),
			'google'         => true,
			'font-backup'    => false,
			'all_styles'     => false,
			'letter-spacing' => true,
			 'text-transform' => true,
			'text-align'     => false,
			'units'          => 'px',
			'color'          => '#18304b',
			'default'        => array(
				'font-family' => 'Roboto Slab', 
				'font-weight' => '500', 
				'google'      => true,
				'font-size'   => '15', 
				'line-height' => '26',
			),
		),
	),
);
